Voro++: Data Structures

Voro++

- Main Page
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Data Structures
Here are the data structures with brief descriptions:
[detail level 12]

voro |
particle_order | A class for storing ordering information when particles are added to a container
c_loop_base | Base class for looping over particles in a container
c_loop_all | Class for looping over all of the particles in a container
c_loop_subset | Class for looping over a subset of particles in a container
c_loop_order | Class for looping over all of the particles specified in a pre-assembled particle_order class
c_loop_all_periodic | A class for looping over all particles in a container_periodic or container_periodic_poly class
c_loop_order_periodic | Class for looping over all of the particles specified in a pre-assembled particle_order class, for use with container_periodic classes
voronoicell_base | A class representing a single Voronoi cell
voronoicell | Extension of the voronoicell_base class to represent a Voronoi cell without neighbor information
voronoicell_neighbor | Extension of the voronoicell_base class to represent a Voronoi cell with neighbor information
wall | Pure virtual class from which wall objects are derived
wall_list | A class for storing a list of pointers to walls
container_base | Class for representing a particle system in a three-dimensional rectangular box
container | Extension of the container_base class for computing regular Voronoi tessellations
container_poly | Extension of the container_base class for computing radical Voronoi tessellations
container_periodic_base | Class for representing a particle system in a 3D periodic non-orthogonal periodic domain
container_periodic | Extension of the container_periodic_base class for computing regular Voronoi tessellations
container_periodic_poly | Extension of the container_periodic_base class for computing radical Voronoi tessellations
pre_container_base | A class for storing an arbitrary number of particles, prior to setting up a container geometry
pre_container | A class for storing an arbitrary number of particles without radius information, prior to setting up a container geometry
pre_container_poly | A class for storing an arbitrary number of particles with radius information, prior to setting up a container geometry
radius_mono | Class containing all of the routines that are specific to computing the regular Voronoi tessellation
radius_poly | Class containing all of the routines that are specific to computing the radical Voronoi tessellation
unitcell | Class for computation of the unit Voronoi cell associated with a 3D non-rectangular periodic domain
voro_base | Class containing data structures common across all particle container classes
particle_record | Structure for holding information about a particle
voro_compute | Template for carrying out Voronoi cell computations
wall_sphere | A class representing a spherical wall object
wall_plane | A class representing a plane wall object
wall_cylinder | A class representing a cylindrical wall object
wall_cone | A class representing a conical wall object